﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Buddy.Swtor;
using Buddy.Swtor.Objects;

namespace ProfileBuilder
{
    class GrindPoint
    {
        public string MobName;
        public float X, Y, Z;

        public GrindPoint(TorCharacter c)
        {
            this.MobName = c.Name;
            this.X = c.Position.X;
            this.Y = c.Position.Y;
            this.Z = c.Position.Z;
        }

        public string BuildString()
        {
            return "<Hotspot Name=\"" + MobName + "\" X=\"" + X + "\" Y=\"" + Y + "\" Z=\"" + Z + "\" />";
        }
    }
}
